### Hierarchy

- unknown
  - MediationDisputeList

## Index

### Constructors

- constructor

### Methods

- addDispute
- clearDisputeList
- getDisputeList
- serializeBinary
- setDisputeList
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new MediationDisputeList(): MediationDisputeList

- Inherited from jspb.Message.constructor

  #### Returns MediationDisputeList

## Methods

### addDispute

- addDispute(value?: Dispute, index?: number): Dispute

- - Defined in src/protobuf/pb_pb.d.ts:7373

  #### Parameters

  - ##### Optional value: Dispute

  - ##### Optional index: number

  #### Returns Dispute

### clearDisputeList

- clearDisputeList(): MediationDisputeList

- - Defined in src/protobuf/pb_pb.d.ts:7372

  #### Returns MediationDisputeList

### getDisputeList

- getDisputeList(): Dispute[]

- - Defined in src/protobuf/pb_pb.d.ts:7370

  #### Returns Dispute[]

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:7375

  #### Returns Uint8Array

### setDisputeList

- setDisputeList(value: Dispute[]): MediationDisputeList

- - Defined in src/protobuf/pb_pb.d.ts:7371

  #### Parameters

  - ##### value: Dispute[]

  #### Returns MediationDisputeList

### toObject

- toObject(includeInstance?: boolean): MediationDisputeList.AsObject

- - Defined in src/protobuf/pb_pb.d.ts:7376

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns MediationDisputeList.AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): MediationDisputeList

- - Defined in src/protobuf/pb_pb.d.ts:7379

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns MediationDisputeList

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: MediationDisputeList, reader: BinaryReader): MediationDisputeList

- - Defined in src/protobuf/pb_pb.d.ts:7380

  #### Parameters

  - ##### message: MediationDisputeList

  - ##### reader: BinaryReader

  #### Returns MediationDisputeList

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: MediationDisputeList, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:7378

  #### Parameters

  - ##### message: MediationDisputeList

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: MediationDisputeList): MediationDisputeList.AsObject

- - Defined in src/protobuf/pb_pb.d.ts:7377

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: MediationDisputeList

  #### Returns MediationDisputeList.AsObject

Generated using TypeDoc